<?php

/**
 * Create a dropdown menu.
 *
 * @param $title
 *   The text to place in the clickable area to activate the dropdown.
 * @param $links
 *   A list of links to provide within the dropdown, suitable for use
 *   in via Drupal's theme('links').
 * @param $image
 *   If true, the dropdown link is an image and will not get extra decorations
 *   that a text dropdown link will.
 * @param $class
 *   An optional class to add to the dropdown's container div to allow you
 *   to style a single dropdown however you like without interfering with
 *   other dropdowns.
 */
function twbs_ctools_dropdown($vars) {
  $class = 'dropdown' . ($vars['class'] ? ' ' . $vars['class'] : '');

  $output = '';

  $output .= '<div class="' . $class . '">';
  if ($vars['image']) {
    $output .= '<a data-toggle="dropdown" href="#"><i class="fa fa-cog fa-lg fa-fw"></i></a>';
  }
  else {
    $output .= '<a data-toggle="dropdown" href="#">' . check_plain($vars['title']) . '</a>';
  }
  $output .= theme('links', array(
    'links' => $vars['links'],
    'heading' => '',
    'attributes' => array(
      'class' => array(
        'dropdown-menu',
      ),
      'role' => 'menu',
    ),
  ));
  $output .= '</div>';

  return $output;
}
